### Method

# Aravis Camera set_range_check_policy

since: 0.8.8

#### Declaration [src]

    void
    arv_camera_set_range_check_policy (
      ArvCamera* camera,
      ArvRangeCheckPolicy policy
    )

#### Description [src]

Sets the feature range check policy. When enabled, before being set, the value of all nodes with an `ArvGcFloat` or `ArvGcInteger` interface will be checked against their Min and Max properties.

<warning><para>Be aware that some camera may have wrong definition of Min and Max, as this check is defined as not mandatory in the Genicam specification. If this is the case, it will not possible to set the value of the features with faulty Min or Max definition. Range check is disabled by default.</para></warning>.

Available since: 0.8.8

#### Parameters

`policy`

  Type: `ArvRangeCheckPolicy`

  Range check policy.